# RPM specfile for libcapplet module
# Generated Tue Apr 30 17:28:38 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.9 2002/02/04 22:06:42 dobey Exp $

%define nam	libcapplet
%define ver	1.5.12
%define ximrev	1

Name:     	libcapplet0
Version: 	1.5.12
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.0 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libcapplet-1.5.12.tar.gz
Patch0:		libcapplet-sonum-drop.patch
Summary:	Library for Gnome Control Center applets
Group:		System Environment/Libraries
Provides:	ximian-libcapplet0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libcapplet
Obsoletes:	libcapplet1

%description
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
/usr/lib/lib*.so.*


%post
ldconfig

%package -n libcapplet-devel
Summary:	Library for Gnome Control Center applets - Development
Group:		Development/Libraries
Requires:	libcapplet0 = %{PACKAGE_VERSION}
Provides:	ximian-libcapplet-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	control-center-devel

%description -n libcapplet-devel
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files -n libcapplet-devel
%defattr(-, root, root)
/usr/lib/*a
/usr/lib/lib*.so
/usr/lib/*.sh
/usr/include/*
/usr/lib/pkgconfig/*.pc
/usr/*/locale/*/LC_MESSAGES/libcapplet.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libcapplet-1.5.12
    ;;
all)
%setup  -q -n libcapplet-1.5.12
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Apr 18 2002 Ximian, Inc.

- Version: 1.5.12-1.ximian.1
- Summary: New build.
- New automated build.

